Protease (BioJava-1.5-beta API)
Keywords: org.biojava.bio.proteomics.Protease class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.proteomics
Class Protease

    java.lang.Object
      org.biojava.bio.proteomics.Protease

All Implemented Interfaces:
  Serializable

    public class Protease

extends Object
implements Serializable

The protease class stores parameters needed by Digest to digest a protein sequence. A custom protease can be created or one derived from the attributes set in the ProteaseManager.xml resource.

Author:
  Michael Jones, Mark Schreiber (refactoring to ProteaseManager)
See Also:
  Serialized Form

Field Summary
`static String` | `ARG_C`
`static String` | `ASP_N`
`static String` | `CHYMOTRYP`
`static String` | `CNBr`
`static String` | `GLU_C_BICARB`
`static String` | `GLU_C_PHOS`
`static String` | `LYS_C`
`static String` | `TRYPSIN`

Constructor Summary
`` | `Protease(String cleavageRes, boolean endoProtease)` Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())
`` | `Protease(String cleaveRes, boolean endoProtease, String notCleaveRes)` Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())
`` | `Protease(SymbolList cleaveRes, boolean endoProtease, SymbolList notCleaveRes)` Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())
`protected` | `Protease(SymbolList cleaveRes, boolean endoProtease, SymbolList notCleaveRes, String name)`

Method Summary
`SymbolList` | `getCleaveageResidues()` The list of residues that the protease will cleave at.
`String` | `getName()` Gets the name of this Protease
`SymbolList` | `getNotCleaveResidues()` The list of residues that will prevent cleavage if they follow the cleavage residue.
`static Protease` | `getProteaseByName(String proteaseName)` Retrieves a reference to the named Protease.
`static String[]` | `getProteaseList()` Get the list of Protease names defined in the ProteaseManager (Internally calls ProteaseManager.
`boolean` | `isEndoProtease()`
`protected Object` | `readResolve()` Prevent duplication of the object during Serialization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRYPSIN

    public static final String TRYPSIN

See Also:
  Constant Field Values

### LYS_C

    public static final String LYS_C

See Also:
  Constant Field Values

### ARG_C

    public static final String ARG_C

See Also:
  Constant Field Values

### ASP_N

    public static final String ASP_N

See Also:
  Constant Field Values

### GLU_C_BICARB

    public static final String GLU_C_BICARB

See Also:
  Constant Field Values

### GLU_C_PHOS

    public static final String GLU_C_PHOS

See Also:
  Constant Field Values

### CHYMOTRYP

    public static final String CHYMOTRYP

See Also:
  Constant Field Values

### CNBr

    public static final String CNBr

See Also:
  Constant Field Values

Constructor Detail

### Protease

    protected Protease(SymbolList cleaveRes,
                       boolean endoProtease,
                       SymbolList notCleaveRes,
                       String name)
                throws IllegalSymbolException

Throws:
  `IllegalSymbolException`

### Protease

    public Protease(SymbolList cleaveRes,
                    boolean endoProtease,
                    SymbolList notCleaveRes)
             throws IllegalSymbolException,
                    BioException

  Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())

  Throws:
    `IllegalSymbolException`
    `BioException`

### Protease

    public Protease(String cleaveRes,
                    boolean endoProtease,
                    String notCleaveRes)
             throws IllegalSymbolException,
                    BioException

  Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())

  Throws:
    `IllegalSymbolException`
    `BioException`

### Protease

    public Protease(String cleavageRes,
                    boolean endoProtease)
             throws IllegalSymbolException,
                    BioException

  Deprecated. Creating a Protease with this constructor will not register it with the ProteaseManager (use ProteaseManager.createProtease())

  Throws:
    `IllegalSymbolException`
    `BioException`

Method Detail

### getCleaveageResidues

    public SymbolList getCleaveageResidues()

  The list of residues that the protease will cleave at.

  Returns:
    the residues as a SymbolList

### getName

    public String getName()

  Gets the name of this Protease

  Returns:
    the name as a String

### getNotCleaveResidues

    public SymbolList getNotCleaveResidues()

  The list of residues that will prevent cleavage if they follow the cleavage residue.

### isEndoProtease

    public boolean isEndoProtease()

### getProteaseList

    public static String[] getProteaseList()

  Get the list of Protease names defined in the ProteaseManager (Internally calls ProteaseManager.

  Returns:
    A String array of protease names

### getProteaseByName

    public static final Protease getProteaseByName(String proteaseName)
                                            throws BioException

  Retrieves a reference to the named Protease. (Internally calls ProteaseManager.getProteaseByName())

  Parameters:
    `proteaseName` - A protease name that is registered in the ProteaseManager (case sensitive)
  Returns:
    A Protease instance for the given protease name
  Throws:
    `BioException`

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Prevent duplication of the object during Serialization

  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD